#pragma once
#include <luna/LinkedList.h>
#include <luna/StringView.h>
#include <ui/Canvas.h>
#include <ui/Color.h>
#include <ui/Rect.h>

struct Window : public LinkedListNode<Window>
{
    ui::Rect surface;
    ui::Rect titlebar;
    ui::Rect contents;
    ui::Color color;
    StringView name;

    Window(ui::Rect, ui::Color, StringView);

    void focus();

    void draw(ui::Canvas& screen);
};

extern LinkedList<Window> g_windows;
